libzypp 17.38.15

PoolInstallState.h File Reference

Structured install-state flags for pool items and selectables. More...

`#include <zypp-core/Globals.h>`
`#include <zypp-core/base/Flags.h>`
`#include <zypp/PoolItem.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::ui
namespace | zypp::misc

## Enumerations
enum class | zypp::misc::PoolInstallState { zypp::misc::NotInstalled = 0 , zypp::misc::AutoInstalled = (1 << 0) , zypp::misc::UserInstalled = (1 << 1) , zypp::misc::OtherVersionInstalled = (1 << 2) , zypp::misc::Satisfied = (1 << 3) , zypp::misc::Broken = (1 << 4) , zypp::misc::Locked = (1 << 5) , zypp::misc::Retracted = (1 << 6) }
| Install-state flags for a pool item or selectable. More...

## Functions
| zypp::misc::ZYPP_DECLARE_FLAGS_AND_OPERATORS (PoolInstallStateFlags, PoolInstallState)
PoolInstallStateFlags | zypp::misc::poolInstallState (const PoolItem &pi)
| Compute install-state flags for a PoolItem.
PoolInstallStateFlags | zypp::misc::poolInstallState (const ui::Selectable &sel)
| Compute install-state flags for a ui::Selectable.

## Detailed Description

Structured install-state flags for pool items and selectables.

Unlike zypper's two-character status indicator (designed for terminal display), PoolInstallStateFlags are composable bit flags suitable for programmatic inspection — e.g. by an MCP tool or a REST API.

Note
  This is distinct from ResStatus which describes the solver's internal transaction state. PoolInstallStateFlags describe the user-visible install state of a resolvable in the pool.

Definition in file PoolInstallState.h.